<?php

use App\Modules\Pilkades\Http\Controllers\Public\LandingPageController;
use App\Modules\Pilkades\Http\Controllers\Public\ShareController;
use App\Modules\Pilkades\Http\Controllers\Public\VoterSearchController;
use Illuminate\Support\Facades\Route;

Route::post('{kabupaten}/{kecamatan}/{desa}/voter-search', [VoterSearchController::class, 'search'])
    ->middleware(['throttle_voter_search'])
    ->name('public.voter.search');

Route::get('{kabupaten}/{kecamatan}/{desa}/qr-code', [ShareController::class, 'qrCode'])
    ->name('public.share.qr-code');

Route::get('{kabupaten}/{kecamatan}/{desa}', [LandingPageController::class, 'show'])
    ->name('public.landing');
